# Method: csses.list

- [HTTP request](https://developers.google.com/shopping-content/reference/rest/v2.1/csses/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/shopping-content/reference/rest/v2.1/csses/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/shopping-content/reference/rest/v2.1/csses/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/shopping-content/reference/rest/v2.1/csses/list#body.request_body)
- [Response body](https://developers.google.com/shopping-content/reference/rest/v2.1/csses/list#body.response_body)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/csses/list#body.ListCssesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/shopping-content/reference/rest/v2.1/csses/list#body.aspect)
- [Try it!](https://developers.google.com/shopping-content/reference/rest/v2.1/csses/list#try-it)

Lists CSS domains affiliated with a CSS group.

### HTTP request

`GET https://shoppingcontent.googleapis.com/content/v2.1/{cssGroupId}/csses`

### Path parameters

| Parameters ||
|---|---|
| `cssGroupId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The CSS group ID of CSS domains to be listed. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of CSS domains to return. The service may return fewer than this value. If unspecified, at most 50 CSS domains will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` A page token, received from a previous `csses.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `csses.list` must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

The response message for the `csses.list` method

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "csses": [ { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/csses#Css`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `csses[]` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/csses#Css`)`` The CSS domains affiliated with the specified CSS group. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).